    /*
     *  call-seq:
     *     index_reader.term_positions_for(field, term) -> TermDocEnum
     *
     *  Same as IndexReader#term_docs_for(field, term) except the TermDocEnum will
     *  also allow you to scan through the positions at which a term occurs. See
     *  TermDocEnum for more info.
     */
    static VALUE
    frt_ir_t_pos_for(VALUE self, VALUE rfield, VALUE rterm)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return frt_get_tde(self, ir_term_positions_for(ir,
                                                       frt_field(rfield),
                                                       StringValuePtr(rterm)));
    }